package models

import (
	"gorm.io/gorm"
)

type PatientType struct {
	gorm.Model
	PatientTypeID          string
	PatientTypeName        string
	PatientTypeLocal       string
	PatientTypeDescription string
	Sort                   int32
	IsEnabled              bool
	Product                string
	IsPreInstall           bool
}

func (PatientType) TableName() string {
	return "p_patient_type"
}

type BodyPart struct {
	gorm.Model
	BodyPartID          string
	BodyPartName        string
	BodyPartLocal       string
	BodyPartDescription string
	PatientType         string
	Category            string
	Sort                int32
	IsEnabled           bool
	Product             string
	IsPreInstall        bool
}

func (BodyPart) TableName() string {
	return "p_body_part"
}

type Procedure struct {
	gorm.Model
	ProcedureID               string  `gorm:"uniqueIndex"`
	ProcedureCode             string  //程序代码
	ProcedureName             string  //程序名称
	ProcedureOtherName        string  //程序别名
	ProcedureDescription      string  //程序描述
	ProtocolCode              string  //协议代码
	PatientType               string  //病人类型
	ProcedureGroupID          string  //程序组ID
	ProcedureGroupDescription string  //程序组描述
	ProcedureType             string  //程序类型
	FastSearch                bool    //是否快速搜索
	ProtocolLaterality        string  //协议体位
	PrintStyleID              string  //打印样式ID
	ProcedureCategory         string  //程序类别
	Modality                  string  //设备类型
	ConfigObjectValue         string  //配置对象值
	MagFactor                 float32 //放大倍数
	ClinicProtocol            bool    //是否临床协议
	Sort                      int32
	IsEnabled                 bool
	Product                   string
	IsPreInstall              bool
}

func (Procedure) TableName() string {
	return "p_procedure"
}
